/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.dnd;

import java.awt.Toolkit;

import org.eclipse.swt.widgets.Display;

public class Clipboard {
	
	java.awt.datatransfer.Clipboard awtClipboard;
	
	Transfer[] transfers;
	Object[] objects;

	public Clipboard(Display display) {
		awtClipboard = Toolkit.getDefaultToolkit().getSystemClipboard();
	}

	public void setContents(Object[] objects, Transfer[] transfers) {
		this.objects = objects;
		this.transfers = transfers;
	}

	public Object getContents(TextTransfer transfer) {
		for (int i = 0; i < transfers.length; i++) {
			if (transfers[i] == transfer) {
				return objects[i];
			}
		}
		return null;
	}

	public void dispose() {
	}

}
