/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.widgets.Display;

public class Color extends Resource {
	
	int red;
	int green;
	int blue;
	
	public Color (Device device, int red, int green, int blue) {
		this.device = device;
		this.red = red;
		this.green = green;
		this.blue = blue;
	}

	public Color(Display display, RGB rgb) {
		this(display, rgb.red, rgb.green, rgb.blue);
	}

	@Override
	public void dispose() {
	}
	
	@Override
	public boolean isDisposed() {
		return false;
	}
	
	/** NOT API */
	public java.awt.Color awtColor() {
		return new java.awt.Color(red, green, blue);
	}

}
