/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.SWT;

public class Cursor extends Resource {
	
	int style;
	
	boolean disposed;

	public Cursor(Device device, int style) {
		this.device = device;
		this.style = style;
	}

	@Override
	public void dispose() {
		disposed = true;
	}

	@Override
	public boolean isDisposed() {
		return disposed;
	}
	
	public java.awt.Cursor awtCursor() {
		int type;
		switch (style) {
		case SWT.CURSOR_WAIT:
			type = java.awt.Cursor.WAIT_CURSOR;
			break;
		default:
			throw new UnsupportedOperationException();
		}
		return java.awt.Cursor.getPredefinedCursor(type);
	}

}
