/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.SWT;

public abstract class Device {
	
	boolean disposed;


	public void dispose() {
		disposed = true;
	}
	
	public boolean isDisposed() {
		return disposed;
	}
	
	public Color getSystemColor(int id) {
		switch (id) {
		case SWT.COLOR_RED:
			return new Color(this, 255, 0, 0);
		default:
			throw new UnsupportedOperationException("unknown color " + id);
		}
	}
	

}
