/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.widgets.Display;

public class Font {

	java.awt.Font awtFont;

	public Font(Display display, FontData[] fontData) {
		this(fontData[0].awtFont);
	}

	/* internal */
	public Font(java.awt.Font awtFont) {
		this.awtFont = awtFont;
	}

	public java.awt.Font getAwtFont() {
		return awtFont;
	}

	public void dispose() {
		awtFont = null;
	}

	public FontData[] getFontData() {
		return new FontData[] { new FontData(awtFont) };
	}

}
