/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import java.awt.Container;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JComponent;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.GC;

public class Canvas extends Control {
	
	JComponent canvas;
	
	public Canvas(Composite parent, int style) {
		super(parent, style);
		canvas = new JComponent() {
			private static final long serialVersionUID = -3781057260640926608L;

			protected void paintComponent(Graphics g) {
				if (!_isSet(Canvas.this.style, SWT.NO_BACKGROUND)) {
					super.paintComponent(g);
				}
				Event e = new Event();
				e.type = SWT.Paint;
				e.display = display;
				e.widget = Canvas.this; 
				e.gc = new GC((Graphics2D) g);
				sendEvent(e);
			}
		};
		setSize(100, 100);
		parent._add(this);
	}
	
	@Override
	Container _control() {
		return canvas;
	}

}
