/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Point;

public class CoolItem extends Item {
	
	CoolBar parent;
	Control control;
	Point preferredSize;

	public CoolItem(CoolBar parent, int style) {
		super(parent, style);
		this.parent = parent;
		this.parent.items.add(this);
	}

	public void setControl(Control control) {
		this.control = control;
	}

	public Point computeSize(int wHint, int hHint) {
		int width = wHint;
		int height = hHint;
		if (wHint == SWT.DEFAULT) {
			width = 32;
		}
		if (hHint == SWT.DEFAULT) {
			height = 32;
		}
		return new Point(width, height);
	}


	public void setPreferredSize(Point size) {
		setPreferredSize(size.x, size.y);
	}

	public void setPreferredSize(int width, int height) {
		preferredSize = new Point(width, height);
	}

	public void setSize(Point size) {
		// TODO Auto-generated method stub
		
	}

}
