/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import org.eclipse.swt.SWT;

public abstract class Dialog {

	Shell parent;

	int style;

	String text;

	public Dialog(Shell parent) {
		this(parent, SWT.PRIMARY_MODAL);
	}

	public Dialog(Shell parent, int style) {
		this.parent = parent;
		this.style = style;
		this.text = "";
	}

	public Shell getParent() {
		return parent;
	}

	public int getStyle() {
		return style;
	}

	public String getText() {
		return text;
	}

	public void setText(String string) {
		if (string == null) {
			error(SWT.ERROR_NULL_ARGUMENT);
		}
		text = string;
	}

	void error(int code) {
		SWT.error(code);
	}
}
