/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import java.awt.Container;

import javax.swing.JProgressBar;

public class ProgressBar extends Control {

	JProgressBar progressBar;

	public ProgressBar(Composite parent, int style) {
		super(parent, style);
		progressBar = new JProgressBar();
		parent._add(this);
	}

	public int getMinimum() {
		return progressBar.getMinimum();
	}

	public void setMinimum(int value) {
		progressBar.setMaximum(value);
	}

	public int getMaximum() {
		return progressBar.getMaximum();
	}

	public void setMaximum(int value) {
		progressBar.setMaximum(value);
	}

	public int getSelection() {
		return progressBar.getValue();
	}

	public void setSelection(int value) {
		progressBar.setValue(value);
	}

	@Override
	Container _control() {
		return progressBar;
	}

}
