/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import java.awt.Container;

import javax.swing.JScrollPane;

import org.eclipse.swt.SWT;

public abstract class Scrollable extends Control {
	
	Container container;
	
	Scrollable() {
		super();
	}

	public Scrollable(Composite parent, int style) {
		super(parent, style);
	}

	public ScrollBar getHorizontalBar() {
		return null; //TODO
	}
	
	public ScrollBar getVerticalBar() {
		return null; //TODO
	}
	
	protected void _init(Container component, int style) {
		if (_isSet(style, SWT.BORDER)) {
			component = new JScrollPane(
					component,
					JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
					JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		}
		this.container = component; 
	}
	
	Container _control() {
		return container;
	}

}
