/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import javax.swing.JPanel;

import org.eclipse.swt.graphics.Image;

public class TabItem extends Item {
	
	TabFolder parent;
	
	public TabItem(TabFolder parent, int style) {
		super(parent, style);
		this.parent = parent;
		parent.tabFolder.addTab(null, new JPanel());
		
		parent.items.add(this);
	}
	
	@Override
	public void setText(String string) {
		super.setText(string);
		System.out.println(string + ":" + index());
		parent.tabFolder.setTitleAt(index(), string);
	}
	
	@Override
	public void setImage(Image image) {
		super.setImage(image);
		parent.tabFolder.setIconAt(index(), image == null ? null : image._icon());
	}

	public void setControl(Control control) {
		int index = index();
		String title = parent.tabFolder.getTitleAt(index);
		parent.tabFolder.setComponentAt(index, control._control());
		parent.tabFolder.setTitleAt(index, title);
	}
	
	@Override
	public void dispose() {
		super.dispose();
		parent.items.remove(this);
	}
	
	int index() {
		return parent.items.indexOf(this);
	}

}
