/*******************************************************************************
 * Copyright (c) 2005 Stefan Matthias Aust.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stefan Matthias Aust - initial implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import java.awt.Container;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JToolBar;

import org.eclipse.swt.SWT;

public class ToolBar extends Control {
	
	JToolBar toolBar;
	
	List<ToolItem> items = new ArrayList<ToolItem>();

	public ToolBar(Composite parent, int style) {
		super(parent, style);
		toolBar = new JToolBar();
		toolBar.setFloatable(false);
		if ((style & SWT.FLAT) == SWT.FLAT) {
			toolBar.setRollover(true);
		}
		parent._add(this);
	}
	
	void add(ToolItem item) {
		items.add(item);
		toolBar.add(item.component);
	}
	
	@Override
	Container _control() {
		return toolBar;
	}

}
